Subject: bug#50679: 28.0.50; outline-minor-mode-cycle should be able to only cycle at the begining of a line

From: Augusto Stoffel <[email-masked]>
Date: Tue, 21 Sep 2021 13:44:56 +0200

On Tue, 21 Sep 2021 at 11:27, Philip Kaludercic <[email-masked]> wrote:

> I would appreciate something like this too, but you are right that it
> sounds like a separate functionality. Compared to
> outline-mode-cycle-map, this would most certainly have to operate on the
> beginning of a line, otherwise apparently random keys would suddenly
> throw the user around without them expecting it.

I thought your point was that TAB for cycling also gets in the way if
it's available anywhere other than at the beginning of a line.

So I think it's actually the _same_ functionality, and only the naming
doesn't reflect that.  To put it in a slightly different way, there
would be no need for a `outline-mode-cycle-map' if something called
`outline-speed-keys-map' (a keymap installed only at column 0 of
heading lines) existed.